Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Enum ExecutionType

- java.lang.Object
- - java.lang.Enum<ExecutionType>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.ExecutionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ExecutionType>`, `org.eclipse.emf.common.util.Enumerator`

      public enum ExecutionType
      extends java.lang.Enum<ExecutionType>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Execution Type', and utility methods for working with them.
  See Also:
    `PatternLanguagePackage.getExecutionType()`
  Generated:
  Model:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INCREMENTAL` | The 'Incremental' literal object.
    `SEARCH` | The 'Search' literal object.
    `UNSPECIFIED` | The 'Unspecified' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `INCREMENTAL_VALUE` | The 'Incremental' literal value.
    `static int` | `SEARCH_VALUE` | The 'Search' literal value.
    `static int` | `UNSPECIFIED_VALUE` | The 'Unspecified' literal value.
    `static java.util.List<ExecutionType>` | `VALUES` | A public read-only list of all the 'Execution Type' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionType` | `get​(int value)` | Returns the 'Execution Type' literal with the specified integer value.
    `static ExecutionType` | `get​(java.lang.String literal)` | Returns the 'Execution Type' literal with the specified literal value.
    `static ExecutionType` | `getByName​(java.lang.String name)` | Returns the 'Execution Type' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` | Returns the literal value of the enumerator, which is its string representation.
    `static ExecutionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ExecutionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final ExecutionType UNSPECIFIED

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED_VALUE`
      Generated:
      Ordered:

    - #### SEARCH

          public static final ExecutionType SEARCH

      The 'Search' literal object.
      See Also:
        `SEARCH_VALUE`
      Generated:
      Ordered:

    - #### INCREMENTAL

          public static final ExecutionType INCREMENTAL

      The 'Incremental' literal object.
      See Also:
        `INCREMENTAL_VALUE`
      Generated:
      Ordered:

  - ### Field Detail

    - #### UNSPECIFIED_VALUE

          public static final int UNSPECIFIED_VALUE

      The 'Unspecified' literal value.
      See Also:
        `UNSPECIFIED`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="unspecified"

    - #### SEARCH_VALUE

          public static final int SEARCH_VALUE

      The 'Search' literal value.
      See Also:
        `SEARCH`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="search"

    - #### INCREMENTAL_VALUE

          public static final int INCREMENTAL_VALUE

      The 'Incremental' literal value.
      See Also:
        `INCREMENTAL`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="incremental"

    - #### VALUES

          public static final java.util.List<ExecutionType> VALUES

      A public read-only list of all the 'Execution Type' enumerators.
      Generated:

  - ### Method Detail

    - #### values

          public static ExecutionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutionType c : ExecutionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ExecutionType get​(java.lang.String literal)

      Returns the 'Execution Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getByName

          public static ExecutionType getByName​(java.lang.String name)

      Returns the 'Execution Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### get

          public static ExecutionType get​(int value)

      Returns the 'Execution Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ExecutionType>`
      Generated: